import { j as t } from "../../node_modules/react/jsx-runtime.js";
import { cn as o } from "../../utils/index.js";
import { Link as e } from "../Link/index.js";
import { Icon as i } from "../Icon/index.js";
import { Button as s } from "../Button/base.js";
import "../Button/split-button.js";
import "../Button/login-with-button.js";
function m({ className: n, ...r }) {
  return /* @__PURE__ */ t.jsx(e, { className: o("link", n), ...r });
}
function j({ children: n, ...r }) {
  return /* @__PURE__ */ t.jsxs(m, { className: "external", ...r, children: [
    n,
    " ",
    /* @__PURE__ */ t.jsx(i, { name: "link-external" })
  ] });
}
function v({
  className: n,
  children: r,
  ...a
}) {
  return /* @__PURE__ */ t.jsx(
    "div",
    {
      className: o(
        "flex flex-row gap-4 desktop:gap-6 items-center",
        n
      ),
      ...a,
      children: r
    }
  );
}
function k({ children: n }) {
  return /* @__PURE__ */ t.jsx("div", { className: "nav-bar", children: n });
}
function d({ className: n, ...r }) {
  return /* @__PURE__ */ t.jsx(s, { className: o("icon-button", n), ...r });
}
export {
  k as NavBar,
  v as NavBarSection,
  d as NavIconButton,
  m as NavLink,
  j as NavLinkExternal
};
